<?php
//Active CDR statistics :
$enable_record_to_cdr = false;


//Common Languages en variantes
//http://www.w3.org/International/articles/language-tags/
//
// language-Script-REGION-variant-extension-privateuse
//
//The entries in the registry follow certain conventions with regard to upper and
//lowercasing - for example, language tags are lower case, alphabetic region subtags
//are upper case, and script tags begin with an initial capital. This is only a
//convention! When you use these subtags you are free to do as you like.


//default tts engine is the first in this tts array :
$tts = array();

$tts['microsoft'] = array(
    'name'              => 'microsoft',
    'call'              => 'ttsmicrosoft',
    'options'           => array(
        '"PRIVATE_KEY"',
        '"APPLICATION_NAME"',
        '$text',
        '$voice',
        '$filename',
        '$iformat',
        '"riff-8khz-8bit-mono-mulaw"',
        '$lang'
    ),
    'voices'            => array(
        'ar-EG-Hoda' => array(
           'type' => 'female',
           'desc' => 'Arabic Female',
           'voptions' => array('lang' => 'ar-EG')
        ),
        'ar-SA-Naayf' => array(
            'type' => 'male',
            'desc' => 'Arabic Male',
            'voptions' => array('lang' => 'ar-SA')
        ),
        'bg-BG-Ivan' => array(
            'type' => 'male',
            'desc' => 'Bulgarian Male',
            'voptions' => array('lang' => 'bg-BG')
        ),
        'ca-ES-HerenaRUS' => array(
            'type' => 'female',
            'desc' => 'Spanish Female',
            'voptions' => array('lang' => 'ca-ES')
        ),
        'cs-CZ-Jakub' => array(
            'type' => 'male',
            'desc' => 'Czech Male',
            'voptions' => array('lang' => 'cs-CZ')
        ),
        'da-DK-HelleRUS' => array(
            'type' => 'female',
            'desc' => 'Danish Female',
            'voptions' => array('lang' => 'da-DK')
        ),
        'de-AT-Michael' => array(
            'type' => 'male',
            'desc' => 'German Male',
            'voptions' => array('lang' => 'de-AT')
        ),
        'de-CH-Karsten' => array(
            'type' => 'male',
            'desc' => 'German Male',
            'voptions' => array('lang' => 'de-CH')
        ),
        'de-DE-Hedda' => array(
            'type' => 'female',
            'desc' => 'German Female',
            'voptions' => array('lang' => 'de-DE')
        ),
        'de-DE-HeddaRUS' => array(
            'type' => 'female',
            'desc' => 'German Female',
            'voptions' => array('lang' => 'de-DE')
        ),
        'de-DE-Stefan-Apollo' => array(
            'type' => 'male',
            'desc' => 'German Male',
            'voptions' => array('lang' => 'de-DE')
        ),
        'de-DE-KatjaNeural' => array(
            'type' => 'female',
            'desc' => 'German Female',
            'voptions' => array('lang' => 'de_DE')
        ),
        'el-GR-Stefanos' => array(
            'type' => 'male',
            'desc' => 'Greek Male',
            'voptions' => array('lang' => 'el-GR')
        ),
        'en-AU-Catherine' => array(
            'type' => 'female',
            'desc' => 'English Female',
            'voptions' => array('lang' => 'en-AU')
        ),
        'en-AU-HayleyRUS' => array(
            'type' => 'female',
            'desc' => 'English Female',
            'voptions' => array('lang' => 'en-AU')
        ),
        'en-CA-Linda' => array(
            'type' => 'female',
            'desc' => 'English Female',
            'voptions' => array('lang' => 'en-CA')
        ),
        'en-CA-HeatherRUS' => array(
            'type' => 'female',
            'desc' => 'English Female',
            'voptions' => array('lang' => 'en-CA')
        ),
        'en-GB-Susan-Apollo' => array(
            'type' => 'female',
            'desc' => 'UK Female',
            'voptions' => array('lang' => 'en-GB')
        ),
        'en-GB-HazelRUS' => array(
            'type' => 'female',
            'desc' => 'UK Female',
            'voptions' => array('lang' => 'en-GB')
        ),
        'en-GB-George-Apollo' => array(
            'type' => 'male',
            'desc' => 'UK Male',
            'voptions' => array('lang' => 'en-GB')
        ),
        'en-IE-Sean' => array(
            'type' => 'male',
            'desc' => 'English Male',
            'voptions' => array('lang' => 'en-IE')
        ),
        'en-IN-Heera-Apollo' => array(
            'type' => 'female',
            'desc' => 'English Female',
            'voptions' => array('lang' => 'en-IN')
        ),
        'en-IN-PriyaRUS' => array(
            'type' => 'female',
            'desc' => 'English Female',
            'voptions' => array('lang' => 'en-IN')
        ),
        'en-IN-Ravi-Apollo' => array(
            'type' => 'male',
            'desc' => 'English Male',
            'voptions' => array('lang' => 'en-IN')
        ),
        'en-US-ZiraRUS' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-JessaRUS' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-BenjaminRUS' => array(
            'type' => 'male',
            'desc' => 'US Male',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-Jessa24kRUS' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-Guy24kRUS' => array(
            'type' => 'male',
            'desc' => 'US Male',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-GuyNeural' => array(
            'type' => 'male',
            'desc' => 'US Male',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-JessaNeural' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'es-ES-Laura-Apollo' => array(
            'type' => 'female',
            'desc' => 'Spanish Female',
            'voptions' => array('lang' => 'es-ES')
        ),
        'es-ES-HelenaRUS' => array(
            'type' => 'female',
            'desc' => 'Spanish Female',
            'voptions' => array('lang' => 'es-ES')
        ),
        'es-ES-Pablo-Apollo' => array(
            'type' => 'male',
            'desc' => 'Spanish Male',
            'voptions' => array('lang' => 'es-ES')
        ),
        'es-MX-HildaRUS' => array(
            'type' => 'male',
            'desc' => 'Spanish Male',
            'voptions' => array('lang' => 'es-MX')
        ),
        'es-MX-Raul-Apollo' => array(
            'type' => 'male',
            'desc' => 'Spanish Male',
            'voptions' => array('lang' => 'es-MX')
        ),
        'fi-FI-HeidiRUS' => array(
            'type' => 'female',
            'desc' => 'Finnish Female',
            'voptions' => array('lang' => 'fi-FI')
        ),
        'fr-CA-Caroline' => array(
            'type' => 'female',
            'desc' => 'French Female',
            'voptions' => array('lang' => 'fr-CA')
        ),
        'fr-CA-HarmonieRUS' => array(
            'type' => 'female',
            'desc' => 'French Female',
            'voptions' => array('lang' => 'fr-CA')
        ),
        'fr-CH-Guillaume' => array(
            'type' => 'male',
            'desc' => 'French Male',
            'voptions' => array('lang' => 'fr-CH')
        ),
        'fr-FR-Julie-Apollo' => array(
            'type' => 'female',
            'desc' => 'French Female',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'fr-FR-HortenseRUS' => array(
            'type' => 'female',
            'desc' => 'French Female',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'fr-FR-Paul-Apollo' => array(
            'type' => 'male',
            'desc' => 'French Male',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'he-IL-Asaf' => array(
            'type' => 'male',
            'desc' => 'Hebrew Male',
            'voptions' => array('lang' => 'he-IL')
        ),
        'hi-IN-Kalpana-Apollo' => array(
            'type' => 'female',
            'desc' => 'Hindi Female',
            'voptions' => array('lang' => 'hi-IN')
        ),
        'hi-IN-Kalpana' => array(
            'type' => 'female',
            'desc' => 'Hindi Female',
            'voptions' => array('lang' => 'hi-IN')
        ),
        'hi-IN-Hemant' => array(
            'type' => 'male',
            'desc' => 'Hindi Male',
            'voptions' => array('lang' => 'hi-IN')
        ),
        'hr-HR-Matej' => array(
            'type' => 'male',
            'desc' => 'Croatian Male',
            'voptions' => array('lang' => 'hr-HR')
        ),
        'hu-HU-Szabolcs' => array(
            'type' => 'male',
            'desc' => 'Hungarian Male',
            'voptions' => array('lang' => 'hu-HU')
        ),
        'id-ID-Andika' => array(
            'type' => 'male',
            'desc' => 'Indonesian Male',
            'voptions' => array('lang' => 'id-ID')
        ),
        'it-IT-Cosimo-Apollo' => array(
            'type' => 'male',
            'desc' => 'Italian Male',
            'voptions' => array('lang' => 'it-IT')
        ),
        'it-IT-LuciaRUS' => array(
            'type' => 'female',
            'desc' => 'Italian Female',
            'voptions' => array('lang' => 'it-IT')
        ),
        'it-IT-ElsaNeural' => array(
            'type' => 'female',
            'desc' => 'Italian Female',
            'voptions' => array('lang' => 'it-IT')
        ),
        'ja-JP-Ayumi-Apollo' => array(
            'type' => 'female',
            'desc' => 'Japanese Female',
            'voptions' => array('lang' => 'ja-JP')
        ),
        'ja-JP-Ichiro-Apollo' => array(
            'type' => 'male',
            'desc' => 'Japanese Male',
            'voptions' => array('lang' => 'ja-JP')
        ),
        'ja-JP-HarukaRUS' => array(
            'type' => 'female',
            'desc' => 'Japanese Female',
            'voptions' => array('lang' => 'ja-JP')
        ),
        'ko-KR-HeamiRUS' => array(
            'type' => 'female',
            'desc' => 'Korean Female',
            'voptions' => array('lang' => 'ko-KR')
        ),
        'ms-MY-Rizwan' => array(
            'type' => 'male',
            'desc' => 'Malay Male',
            'voptions' => array('lang' => 'ms-MY')
        ),
        'nb-NO-HuldaRUS' => array(
            'type' => 'female',
            'desc' => 'Norwegian Female',
            'voptions' => array('lang' => 'nb-NO')
        ),
        'nl-NL-HannaRUS' => array(
            'type' => 'female',
            'desc' => 'Dutch Female',
            'voptions' => array('lang' => 'nl-NL')
        ),
        'pl-PL-PaulinaRUS' => array(
            'type' => 'female',
            'desc' => 'Polish Female',
            'voptions' => array('lang' => 'pl-PL')
        ),
        'pt-BR-HeloisaRUS' => array(
            'type' => 'female',
            'desc' => 'Portuguese Female',
            'voptions' => array('lang' => 'pt-BR')
        ),
        'pt-BR-Daniel-Apollo' => array(
            'type' => 'male',
            'desc' => 'Portuguese Male',
            'voptions' => array('lang' => 'pt-BR')
        ),
        'pt-PT-HeliaRUS' => array(
            'type' => 'female',
            'desc' => 'Portuguese Female',
            'voptions' => array('lang' => 'pt-PT')
        ),
        'ro-RO-Andrei' => array(
            'type' => 'male',
            'desc' => 'Romanian Male',
            'voptions' => array('lang' => 'ro-RO')
        ),
        'ru-RU-Irina-Apollo' => array(
            'type' => 'female',
            'desc' => 'Russian Female',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'ru-RU-Pavel-Apollo' => array(
            'type' => 'male',
            'desc' => 'Russian Male',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'ru-RU-EkaterinaRUS' => array(
            'type' => 'female',
            'desc' => 'Russian Female',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'sk-SK-Filip' => array(
            'type' => 'male',
            'desc' => 'Slovak Male',
            'voptions' => array('lang' => 'sk-SK')
        ),
        'sl-SI-Lado' => array(
            'type' => 'male',
            'desc' => 'Slovenian Male',
            'voptions' => array('lang' => 'sl-SI')
        ),
        'sv-SE-HedvigRUS' => array(
            'type' => 'female',
            'desc' => 'Swedish Female',
            'voptions' => array('lang' => 'sv-SE')
        ),
        'ta-IN-Valluvar' => array(
            'type' => 'male',
            'desc' => 'Tamil Male',
            'voptions' => array('lang' => 'ta-IN')
        ),
        'te-IN-Chitra' => array(
            'type' => 'female',
            'desc' => 'Telugu Female',
            'voptions' => array('lang' => 'te-IN')
        ),
        'th-TH-Pattara' => array(
            'type' => 'male',
            'desc' => 'Thai Male',
            'voptions' => array('lang' => 'th-TH')
        ),
        'tr-TR-SedaRUS' => array(
            'type' => 'female',
            'desc' => 'Turkish Female',
            'voptions' => array('lang' => 'tr-TR')
        ),
        'vi-VN-An' => array(
            'type' => 'male',
            'desc' => 'Vietnamese Male',
            'voptions' => array('lang' => 'vi-VN')
        ),
        'zh-CN-HuihuiRUS' => array(
            'type' => 'female',
            'desc' => 'Chinese Female',
            'voptions' => array('lang' => 'zh-CN')
        ),
        'zh-CN-Yaoyao-Apollo' => array(
            'type' => 'female',
            'desc' => 'Chinese Female',
            'voptions' => array('lang' => 'zh-CN')
        ),
        'zh-CN-Kangkang-Apollo' => array(
            'type' => 'male',
            'desc' => 'Chinese Male',
            'voptions' => array('lang' => 'zh-CN')
        ),
        'zh-CN-XiaoxiaoNeural' => array(
            'type' => 'female',
            'desc' => 'Chinese Female',
            'voptions' => array('lang' => 'zh-CN')
        ),
        'zh-HK-Tracy-Apollo' => array(
            'type' => 'female',
            'desc' => 'Chinese Female',
            'voptions' => array('lang' => 'zh-HK')
        ),
        'zh-HK-TracyRUS' => array(
            'type' => 'female',
            'desc' => 'Chinese Female',
            'voptions' => array('lang' => 'zh-HK')
        ),
        'zh-HK-Danny-Apollo' => array(
            'type' => 'male',
            'desc' => 'Chinese Male',
            'voptions' => array('lang' => 'zh-HK')
        ),
        'zh-TW-Yating-Apollo' => array(
            'type' => 'female',
            'desc' => 'Chinese Female',
            'voptions' => array('lang' => 'zh-TW')
        ),
        'zh-TW-HanHanRUS' => array(
            'type' => 'female',
            'desc' => 'Chinese Female',
            'voptions' => array('lang' => 'zh-TW')
        ),
        'zh-TW-Zhiwei-Apollo' => array(
            'type' => 'male',
            'desc' => 'Chinese Male',
            'voptions' => array('lang' => 'zh-TW')
        )

    ),
    'langcodes'         => array(
        'ar-EG'     => array('ar-EG-Hoda'),
        'ar-SA'     => array('ar-SA-Naayf'),
        'bg-BG'     => array('bg-BG-Ivan'),
        'ca-ES'     => array('ca-ES-HerenaRUS'),
        'cs-CZ'     => array('cs-CZ-Jakub'),
        'da-DK'     => array('da-DK-HelleRUS'),
        'de-AT'     => array('de-AT-Michael'),
        'de-CH'     => array('de-CH-Karsten'),
        'de-DE'     => array('de-DE-Hedda', 'de-DE-HeddaRUS', 'de-DE-Stefan-Apollo' , 'de-DE-KatjaNeural'),
        'el-GR'     => array('el-GR-Stefanos'),
        'en-AU'     => array('en-AU-Catherine', 'en-AU-HayleyRUS'),
        'en-CA'     => array('en-CA-Linda', 'en-CA-HeatherRUS'),
        'en-GB'     => array('en-GB-Susan-Apollo', 'en-GB-HazelRUS', 'en-GB-George-Apollo'),
        'en-IE'     => array('en-IE-Sean'),
        'en-IN'     => array('en-IN-Heera-Apollo', 'en-IN-PriyaRUS', 'en-IN-Ravi-Apollo'),
        'en-US'     => array('en-US-ZiraRUS', 'en-US-JessaRUS', 'en-US-BenjaminRUS', 'en-US-Jessa24kRUS', 'en-US-Guy24kRUS' , 'en-US-GuyNeural' , 'en-US-JessaNeural'),
        'es-ES'     => array('es-ES-Laura-Apollo', 'es-ES-HelenaRUS', 'es-ES-Pablo-Apollo'),
        'es-MX'     => array('es-MX-HildaRUS', 'es-MX-Raul-Apollo'),
        'fi-FI'     => array('fi-FI-HeidiRUS'),
        'fr-CA'     => array('fr-CA-Caroline', 'fr-CA-HarmonieRUS'),
        'fr-CH'     => array('fr-CH-Guillaume'),
        'fr-FR'     => array('fr-FR-Julie-Apollo', 'fr-FR-HortenseRUS', 'fr-FR-Paul-Apollo'),
        'he-IL'     => array('he-IL-Asaf'),
        'hi-IN'     => array('hi-IN-Kalpana-Apollo', 'hi-IN-Kalpana', 'hi-IN-Hemant'),
        'hr-HR'     => array('hr-HR-Matej'),
        'hu-HU'     => array('hu-HU-Szabolcs'),
        'id-ID'     => array('id-ID-Andika'),
        'it-IT'     => array('it-IT-Cosimo-Apollo' , 'it-IT-LuciaRUS', 'it-IT-ElsaNeural'),
        'ja-JP'     => array('ja-JP-Ayumi-Apollo', 'ja-JP-Ichiro-Apollo', 'ja-JP-HarukaRUS'),
        'ko-KR'     => array('ko-KR-HeamiRUS'),
        'ms-MY'     => array('ms-MY-Rizwan'),
        'nb-NO'     => array('nb-NO-HuldaRUS'),
        'nl-NL'     => array('nl-NL-HannaRUS'),
        'pl-PL'     => array('pl-PL-PaulinaRUS'),
        'pt-BR'     => array('pt-BR-HeloisaRUS', 'pt-BR-Daniel-Apollo'),
        'pt-PT'     => array('pt-PT-HeliaRUS'),
        'ro-RO'     => array('ro-RO-Andrei'),
        'ru-RU'     => array('ru-RU-Irina-Apollo', 'ru-RU-Pavel-Apollo', 'ru-RU-EkaterinaRUS'),
        'sk-SK'     => array('sk-SK-Filip'),
        'sl-SI'     => array('sl-SI-Lado'),
        'sv-SE'     => array('sv-SE-HedvigRUS'),
        'ta-IN'     => array('ta-IN-Valluvar'),
        'te-IN'		=> array('te-IN-Chitra'),
        'th-TH'     => array('th-TH-Pattara'),
        'tr-TR'     => array('tr-TR-SedaRUS'),
        'vi-VN'     => array('vi-VN-An'),
        'zh-CN'     => array('zh-CN-HuihuiRUS', 'zh-CN-Yaoyao-Apollo', 'zh-CN-Kangkang-Apollo' , 'zh-CN-XiaoxiaoNeural'),
        'zh-HK'     => array('zh-HK-Tracy-Apollo', 'zh-HK-TracyRUS', 'zh-HK-Danny-Apollo'),
        'zh-TW'     => array('zh-TW-Yating-Apollo', 'zh-TW-HanHanRUS', 'zh-TW-Zhiwei-Apollo')
    ),
    'charsets'          => array('UTF-8'),
    'codecs'            => array(
        '0' => 'mp3',
        '1' => 'wav'
    ),
    'iformats'          => array('mp3', 'wav'),
    'vxiformats'        => array(
        'mp3' => array('iformat' => 'mp3', 'codec' => '0'),
        'wav' => array('iformat' => 'wav', 'codec' => '1')
    ),
    "formatiscodec"     => false,
    "createlistfile"    => false,
    "directphpfunction" => true,
    "debugargs"         => "",
    "checks"            => array("ttsmicrosoft", "curl_setopt"),
    "simexeclimit"      => "0",
);

// vim: set filetype=php expandtab tabstop=2 shiftwidth=2 autoindent smartindent:

?>
